Skip to content

Get Metric Tags Information



GET /api/v1/metric_info/measurement/tags

Overview

Retrieve Tags information based on the Measurement, including descriptions and units for the Tags.

Query Request Parameters

Parameter Name Type Required Description
measurement string Y Measurement name
Allow empty: False
tag string Y Specific tag name, to get the list of values for this tag
Allow empty: False
limit integer Limit the number of returned tag values, default is 10, maximum is 10
Allow empty: True
$default: 10

Parameter Additional Information

Use the show_tag_value function to get the list of values for the specified tag, returning up to 10 values.

Request Example

curl -k 'https://openapi.truewatch.com/api/v1/metric_info/measurement/tags?measurement=cpu&tag=region&limit=10' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "declaration": {
            "business": "",
            "organization": "663dbba102482200070bbb02"
        },
        "measurement": "cpu",
        "tag": "region",
        "values": [
            "cn-shanghai"
        ]
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "69ba6c7800000000d4c313ee09f9e220"
}